
D4Science Infrastructure - Incident #4876

Email Notification to VRE-Managers sent twice (three times) sometimes

Aug 25, 2016 12:40 PM - Massimiliano Assante

Status: Closed Start date: Aug 25, 2016

Priority: Normal Due date: Aug 26, 2016

Assignee: Massimiliano Assante % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: UnSprintable   

Infrastructure: Production   

Description

Whenever a user register to a VRE or accept an Invite the Email Notification to VRE-Managers (the same email) is sent twice to even

more times.

After investigation with @tommaso.piccioli@isti.cnr.it it seems the problem is in the Join VRE Portlet.

Aug 24 22:02:09 infra-gateway postfix/smtp[3995]: ADC95135FB4: to=<***@isti.cnr.it>, relay=smtp-re

lay.research-infrastructures.eu[146.48.122.202]:587, delay=0.12, delays=0.01/0.01/0.07/0.03, dsn=2

.0.0, status=sent (250 2.0.0 Ok: queued as C5C486000B)

Aug 24 22:02:10 infra-gateway postfix/smtp[3995]: 950F0135FB5: to=<***@isti.cnr.it>, relay=smtp-re

lay.research-infrastructures.eu[146.48.122.202]:587, delay=0.08, delays=0/0/0.05/0.04, dsn=2.0.0, 

status=sent (250 2.0.0 Ok: queued as A13C86000B)

Aug 24 22:02:11 infra-gateway postfix/smtp[3995]: CADB1135FB4: to=<***@isti.cnr.it>, relay=smtp-re

lay.research-infrastructures.eu[146.48.122.202]:587, delay=0.09, delays=0/0/0.04/0.04, dsn=2.0.0, 

status=sent (250 2.0.0 Ok: queued as D6EDF6000B)

History

#1 - Aug 25, 2016 12:40 PM - Massimiliano Assante

- Status changed from New to In Progress

#3 - Aug 25, 2016 01:11 PM - Massimiliano Assante

- Status changed from In Progress to Closed

- % Done changed from 0 to 100

I was able to reproduce the problem in development by clicking more than once on the accept invite button, each time I clicked the notification email

was sent. This could explain this strange behaviour and the fact that the number of email notification is not always the same. I'm going to disable the

button after the first click. 
